"use strict";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createClient;
Object.defineProperty(exports, "Client", {
  enumerable: true,
  get: function get() {
    return _client.default;
  }
});
Object.defineProperty(exports, "Bucket", {
  enumerable: true,
  get: function get() {
    return _bucket.default;
  }
});
Object.defineProperty(exports, "Auth", {
  enumerable: true,
  get: function get() {
    return _auth.default;
  }
});
exports.util = void 0;

var _client = _interopRequireDefault(require("./client"));

var _bucket = _interopRequireDefault(require("./bucket"));

var _auth = _interopRequireDefault(require("./auth"));

var util = _interopRequireWildcard(require("./util"));

exports.util = util;

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * A Client is the main interface to Simperium.
 *
 * @param {String} appId - Simperium application id
 * @param {String} token - User access token
 * @param {Object} options - configuration options for the client
 * @param {ghostStoreProvider} [options.ghostStoreProvider=defaultGhostStoreProvider]
 *            - factory function for creating ghost store instances
 * @param {bucketStoreProvider} [options.objectStoreProvider=defaultObjectStoreProvider]
 *            - factory function for creating object store instances
 * @param {number} [options.heartbeatInterval=4] - heartbeat interval for maintaining connection status with Simperium.com
 * @param {websocketClientProvider} [options.websocketClientProvider] - WebSocket transport, if not provided tries to use window.WebSocket
 * @returns {Object} Simperium client.
 */
function createClient(appId, token, options) {
  // Attaching an noop error listener. The behavior is to not
  // throw any runtime errors. This is something worth changing
  // but applications should be made aware when that is the case.
  return new _client.default(appId, token, options).on('error', function () {});
}